Main Page Groups Namespaces

# bound_argument.h File Reference

## Namespaces
namespace | sigc
## Classes
class | sigc::bound_argument<T_type>
| A bound_argument<Foo> object stores a bound (for instance, with sigc::bind(), or sigc::bind_return()) argument. More...
class | sigc::bound_argument<reference_wrapper<T_wrapped>>
| bound_argument object for a bound argument that is passed by bind() or returned by bind_return() by reference, specialized for reference_wrapper<> types. More...
class | sigc::bound_argument<const_reference_wrapper<T_wrapped>>
| bound_argument object for a bound argument that is passed by bind() or returned by bind_return() by const reference, specialized for const reference_wrapper<> types. More...
## Functions
template<class T_action, class T_type>
void | sigc::visit_each (const T_action& _A_action, const bound_argument<T_type>& _A_argument)
| Implementation of visit_each() specialized for the bound_argument class.